
import * as asyncHandler from 'express-async-handler'
import { checkMySqlSign } from '../middleware/user';
import { eccReqParamater } from '../tools/eccParam';
import { BizError } from '../util/bizError';
import { ERRORENUM } from '../config/errorEnum';


import {calculateHollandScore} from '../biz/huolande';
import * as winston from 'winston';
import { error } from 'console';
const logger = winston.createLogger({
    level: 'info',
    format: winston.format.json(),
    transports: [
        new winston.transports.File({ filename: 'error.log', level: 'error' }),
        new winston.transports.File({ filename: 'combined.log' })
    ]
});

// 霍兰德测试接口
export function setRouter(httpServer){

    httpServer.post('/api/test/submit', async (req, res) => {
    try {
        const { answers } = req.body; // 假设答案通过请求体传递

        // 校验参数
        if (!answers || !Array.isArray(answers)) {
            return res.status(400).send({ error: '无效的答案格式' });
            // throw new BizError(ERRORENUM.INVALID_REQUEST, '无效的答案格式');
        }

        // 计算霍兰德测试分数并获取最高三个字母
        const result = calculateHollandScore(answers);

        // 返回结果给客户端
        return res.status(200).json({
            message: '答题成功',
            hollandResult: {
                topThree: result.topThree,
                scores: result.scores
            }
        });

    } catch (error) {
        console.error('答题提交失败:', error);
        return res.status(500).send({ error: '服务器错误' });
        // throw new BizError(ERRORENUM.INTERNAL_SERVER_ERROR, '服务器错误');
    }
});



const logger = winston.createLogger({
    level: 'info',
    format: winston.format.json(),
    transports: [
        new winston.transports.File({ filename: 'error.log', level: 'error' }),
        new winston.transports.File({ filename: 'combined.log' })
    ]
});

logger.info('答题提交成功');
logger.error('答题提交失败:', { error });
    
}

// export function setRouter(httpServer){ 

// }
